import * as Yup from 'yup';

export const addPointValidationSchema = Yup.object().shape({
  establishment: Yup.string()
    .required('L\'établissement est requis'),
  stopPoint: Yup.string(),
  user: Yup.string(),
  otherPassagePoint: Yup.object().shape({
    address: Yup.string().required('L\'adresse est requise'),
    lat: Yup.number(),
    lng: Yup.number()
  }),
  otherAddress: Yup.object().shape({
    address: Yup.string().required('L\'adresse est requise'),
    lat: Yup.number(),
    lng: Yup.number()
  }),
  gps: Yup.string()
}); 